## sugar-base-0.86 0.86.0

=== debian/changelog ===
sugar-base-0.86 (0.86.0-5) unstable; urgency=low

  * Bump Policy compliance to standards-version 3.9.1.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
  * Append _DEFAULT to deprecated CDBS variables in rules file.
  * Shorten Vcs-Git stanza.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 12 Oct 2010 16:30:34 +0200

sugar-base-0.86 (0.86.0-4) unstable; urgency=low

  * Fix use branch-specific Vcs-Browser stanza.
  * Bump Policy compliance to standards-version to 3.9.0.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Jul 2010 08:59:53 +0200

sugar-base-0.86 (0.86.0-3) unstable; urgency=low

  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Refresh and unfuzz patches.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-all-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Bump standards-version to 3.8.4.
  * Update debian/copyright:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust years for debian/*.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 17:36:18 +0200

sugar-base-0.86 (0.86.0-2) unstable; urgency=low

  * Depend versioned on python-gobject due to use of GIO binding, and
    note that build-dependency is possibly bogus.
  * Set versioned branches master-0.86 and upstream-0.86 in gbp.conf.
  * Tighten watch file to only 0.86 branch.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Dec 2009 13:56:51 +0100

sugar-base-0.86 (0.86.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Sep 2009 17:48:04 +0200

sugar-base-0.86 (0.85.6-1) unstable; urgency=low

  * New upstream development release.
  * Simplify watch file (we want to watch too new files too).
  * Fix include cdbs-declared dependencies (i.e. fix depend on
    python-decorator).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Sep 2009 21:02:46 +0200

sugar-base-0.86 (0.85.5-1) unstable; urgency=low

  * New upstream development release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2009 21:40:32 +0200

sugar-base-0.86 (0.85.4-1) unstable; urgency=low

  * New upstream development release.
  * Fix licensing of libtool files in debian/copyright (Eazel author
    only of m4/intltool.m4, no new licenses).
  * Set non-build dependencies using recursively-expanded variables
    ("=", not ":=") in debian/rules.
  * Depend on python-decorator.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2009 20:13:32 +0200

sugar-base-0.84 (0.84.1-2) unstable; urgency=low

  * Rewrite copyright to use DEP5 r54 proposed machine-readable format.
  * Bump up policy compliance to standards version 3.8.3.
  * Update OLPC relation (now historic) in long description.
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Sep 2009 17:42:20 +0200

sugar-base-0.84 (0.84.1-1) unstable; urgency=low

  * New upstream release.
  * Add PyDispatcher license to copyright file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 01:48:36 +0200

sugar-base-0.84 (0.84.0-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 0000 (backported snapshot) now included upstream.
  * Update patch 1001 (danish locale).
  * Unfuzz patch 2991.
  * Append branch to source and binary package names and Sugar-specific
    package relations, to support multiple branches in same distribution
    concurrently.
  * Fix debian/copyright (more owners, same licenses).
  * Add README.source (and drop CDBS hints and README.packaging).
  * Enable tag signing in git-buildpackage configfile.
  * Enhance package-relations.mk to support all binary package relations
    (except -indep ones).
  * Update copyright and licensing info:
    + Add proper copyright header to debian/rules
    + Update debian/copyright and hints (extend years)
    + Add TODO about possible missing license for src/sugar/dispatch/*
  * Drop laptop.org URLs in debian/copyright and watch file.
  * Use sugarlabs.org download URL (not laptop.org one) for
    upstream-tarball routine.
  * Use wiki page (not bare domain URL) as Homepage.
  * Maintain all package dependencies in debian/rules, with comments.
  * Limit to supporting only Python 2.5 and newer (upstream never used
    older than that, and Debian no longer use older either so unlikely
    to get proper testing if it works).
  * Bump standards-version to 3.8.1.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Apr 2009 02:07:52 +0200

sugar-base (0.82.2-5) unstable; urgency=medium

  * Add (not yet used) sugarlabs URL to watch file.
  * Add git-buildpackage configfile.
  * Update debian/copyright and copyright hints:
    + Bump to version 428 of new format (no structural changes)
    + Set Sugarlabs (not Redhat) as upstream maintainer, and add both
      old laptop.org and new sugarlabs.org source URLs.
    + Merge entries with same authors and licensing (varying only in
      copyright years).
    + Update copyright years
    + Include GAP licenses verbatim.
  * Set urgency=medium due to copyright and licensing corrections.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jan 2009 07:18:10 +0100

sugar-base (0.82.2-4) unstable; urgency=low

  * Add patch 0000 to sync with upstream stable head:
    + Update aymara (ay) and turkish (tr) translations

